Page MenuHomeFreeBSD

The condition can never be true
ClosedPublic

Authored by bret_ketchum_dell.com on Aug 21 2020, 3:09 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Feb 11, 2:22 PM
Unknown Object (File)
Dec 23 2023, 1:52 AM
Unknown Object (File)
Dec 20 2023, 10:59 AM
Unknown Object (File)
Dec 10 2023, 7:42 PM
Unknown Object (File)
Nov 27 2023, 8:48 AM
Unknown Object (File)
Nov 22 2023, 6:59 PM
Unknown Object (File)
Nov 13 2023, 10:15 AM
Unknown Object (File)
Oct 29 2023, 5:27 AM
Subscribers

Details

Summary

Coverity flagged this condition: The and condition offset == 0 && offset == 65535 can never be true because offset cannot be equal to two different values at the same time

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

The same fix is applied in illumos (detected by smatch).

This revision is now accepted and ready to land.Aug 21 2020, 4:55 PM
This revision was automatically updated to reflect the committed changes.